Return the list of supported countries
curl --request POST \
--url https://{globale_api_domain}/Browsing/Countriesimport requests
url = "https://{globale_api_domain}/Browsing/Countries"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Browsing/Countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/Browsing/Countries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/Browsing/Countries"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{globale_api_domain}/Browsing/Countries")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/Browsing/Countries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"Country": [
{
"Code": "<string>",
"DefaultCurrencyCode": "<string>",
"DefaultVATRateType": {
"Name": "<string>",
"Rate": 123,
"VATRateTypeCode": "<string>"
},
"IsOperatedByGlobalE": true,
"IsStateMandatory": true,
"Name": "<string>",
"SiteURL": "<string>",
"SupportsFixedPrices": true,
"UseCountryVAT": true
}
]
}Countries (Merchant to Global-e)
Returns the list of supported countries, flagging for each whether it is operated by Global-e or by the Merchant.
POST
/
Browsing
/
Countries
Return the list of supported countries
curl --request POST \
--url https://{globale_api_domain}/Browsing/Countriesimport requests
url = "https://{globale_api_domain}/Browsing/Countries"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Browsing/Countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/Browsing/Countries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/Browsing/Countries"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{globale_api_domain}/Browsing/Countries")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/Browsing/Countries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"Country": [
{
"Code": "<string>",
"DefaultCurrencyCode": "<string>",
"DefaultVATRateType": {
"Name": "<string>",
"Rate": 123,
"VATRateTypeCode": "<string>"
},
"IsOperatedByGlobalE": true,
"IsStateMandatory": true,
"Name": "<string>",
"SiteURL": "<string>",
"SupportsFixedPrices": true,
"UseCountryVAT": true
}
]
}Make sure your integration follows the latest authentication and IP whitelisting guidelines.
Query Parameters
ISO culture code. If specified, the textual properties (for example Name ) will be returned in the requested culture’s language. Texts in English will be returned by default for the countries where the texts for the requested culture are unavailable or if the cultureCode argument has not been specified.

